Download it now!
Bug 119742 - Writer crashed when insert Header and Footer
Summary: Writer crashed when insert Header and Footer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Juergen Funk (CIB)
URL:
Whiteboard: target:6.2.0 target:6.1.2 target:6.0.7
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-07 07:09 UTC by Juergen Funk (CIB)
Modified: 2018-09-13 08:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["SwCursorShell::SetCursorInHdFt(unsigned int,bool)"]


Attachments
Testdocument for reproduce the crash (15.79 KB, application/vnd.oasis.opendocument.text)
2018-09-07 07:09 UTC, Juergen Funk (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Funk (CIB) 2018-09-07 07:09:32 UTC
Created attachment 144730 [details]
Testdocument for reproduce the crash

Steps for reproduce the crash:

1. Open the attachment document "Test_doku_Inhaltsv_neu_01.odt"
2. Go to Menu Insert -> Header and Footer -> Header -> All
3. Go to Menu Insert -> Header and Footer -> Footer -> All

Then the Recovery-Dialog appears
Comment 1 Xisco Faulí 2018-09-07 08:36:20 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: bf8fbbaa683ef7eef5f9587b60486f622b50cb80
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

and 

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default;
Comment 2 Juergen Funk (CIB) 2018-09-07 09:06:52 UTC
Here the patch https://gerrit.libreoffice.org/#/c/60130/
Comment 3 Commit Notification 2018-09-10 09:40:48 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77d075facaf4fc8954666ad541ed14f75d964fba

sw: tdf#119742 fix null pointer in SetCursorInHdFt

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-09-10 16:47:40 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=860eca91ed159db46b527ebb2fc592e8d5423356&h=libreoffice-6-1

sw: tdf#119742 fix null pointer in SetCursorInHdFt

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-09-11 08:26:58 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 2da435922f9c1fcf52eb0c1eb3d6f73581e9f793
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Juergen Funk, Thanks for fixing this!

Should it be backported to branch 6.0 ?
Comment 6 Juergen Funk (CIB) 2018-09-11 08:45:27 UTC
> 
> Should it be backported to branch 6.0 ?

Backport 6.0 done, review make Michael Stahl
Comment 7 Xisco Faulí 2018-09-11 08:53:43 UTC
(In reply to Juergen Funk (CIB) from comment #6)
> > 
> > Should it be backported to branch 6.0 ?
> 
> Backport 6.0 done, review make Michael Stahl

Nice! -> https://gerrit.libreoffice.org/#/c/60302/

BTW, if your work is done here, go ahead an close it as RESOLVED FIXED!
Comment 8 Commit Notification 2018-09-11 10:16:53 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a8b0d2a9c52b0706772c3b05edc4da995211dc6&h=libreoffice-6-0

sw: tdf#119742 fix null pointer in SetCursorInHdFt

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-09-13 08:58:01 UTC
Setting to VERIFIED as per comment 5